Bug 19684 - Update LSB version to 5.0 (currently at 4.1)
Summary: Update LSB version to 5.0 (currently at 4.1)
Status: NEW
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: Cauldron
Hardware: All Linux
Priority: High normal
Target Milestone: Mageia 9
Assignee: All Packagers
QA Contact:
URL: https://wiki.linuxfoundation.org/lsb/...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-30 12:33 CET by John Schneiderman
Modified: 2021-01-22 21:56 CET (History)
10 users (show)

See Also:
Source RPM: lsb-4.1-20.mga6.src.rpm
CVE:
Status comment:


Attachments

Description John Schneiderman 2016-10-30 12:33:38 CET
Description of problem:
The current version released is LSB 4.1 and the latest version is LSB 5. This is the first version we actually changes backwards compatibility with previous versions, prior to 3.

This update would also be able to remove older packages that are only needed for the 4.1 compatibility.


This is most likely just requiring updating some package version dependencies, and adding a few new ones.
Neal Gompa 2016-10-30 12:35:13 CET

Source RPM: lsb-lib-4.1 => lsb-4.1-20.mga6.src.rpm
CC: (none) => ngompa13

Comment 1 Marja Van Waes 2016-10-30 17:38:00 CET
Assigning to all packagers collectively, since there is no registered maintainer for this package.

Assignee: bugsquad => pkg-bugs
CC: (none) => geiger.david68210, jani.valimaa, marja11, pterjan, stewbintn

Comment 2 Frédéric "LpSolit" Buclin 2017-05-27 14:26:43 CEST
LSB 5.0 would also let us kill Qt3 entirely, per https://wiki.linuxfoundation.org/en/ReleaseNotes50#Qt_3_Removed

CC: (none) => LpSolit
Target Milestone: --- => Mageia 7
Summary: Current LSB version is old, 4.1 => Update LSB version to 5.0 (currently at 4.1)

Rémi Verschelde 2017-07-18 19:08:51 CEST

Priority: Normal => High
Severity: enhancement => normal

Neal Gompa 2017-07-18 19:11:30 CEST

See Also: (none) => https://bugzilla.redhat.com/show_bug.cgi?id=1298936

Jani Välimaa 2017-09-04 19:04:46 CEST

CC: jani.valimaa => (none)

Comment 3 Frédéric "LpSolit" Buclin 2018-06-14 21:31:12 CEST
Shouldn't it be promoted to release blocker so that we can kill Qt3 entirely?
Olav Vitters 2020-07-09 16:55:02 CEST

Priority: High => release_blocker
Target Milestone: Mageia 7 => Mageia 8
CC: (none) => olav

Comment 4 Aurelien Oudelet 2020-09-19 18:03:34 CEST
Hi,

This is release_blocker for a reason.
Making Mageia even better than ever is best direction.
In order to do right thing, this bug should be examined and fixed as soon as possible.

Packagers, please change the status to "Assigned" when you are working on this.


We will make a decision on the relevance of the release_blocker tag on 1st October 2020 QA meeting.
Comment 6 Kristoffer Grundström 2020-10-16 03:35:46 CEST
Ping! I'd like to see this being updated as well.

CC: (none) => lovaren

Comment 7 Kristoffer Grundström 2020-10-16 03:36:44 CEST
http://ftp.linuxfoundation.org/pub/lsb/bundles/released-5.0.0/
Comment 8 Kristoffer Grundström 2020-10-16 05:58:56 CEST
OpenMandriva has the updated version here: https://abf.openmandriva.org/build_lists/773973

I don't know why they name it as version 11.0 though.
Comment 9 Olav Vitters 2020-10-16 10:35:09 CEST
I briefly looked into this but it's not clear at all what needs to be done. Loads of links plainly do not work. There's specifications, cool, but normally we get a tarball and package that up. I'm not going to go through a specification in detail and then hope for the best in some spec file. I'd rather drop the entire lsb thing.
Comment 10 Morgan Leijström 2020-10-16 10:57:45 CEST
If we drop it, we can more easily solve
Bug 24139 - Rename fastboot-android into just fastboot

See Also: (none) => https://bugs.mageia.org/show_bug.cgi?id=24139
CC: (none) => fri

Comment 11 Aurelien Oudelet 2020-12-13 11:50:47 CET
Status?
This is really a blocker one?

CC: (none) => ouaurelien

Comment 12 David Walser 2020-12-14 21:20:50 CET
Status is the same as it was; no movement on this (from us or Fedora).  We made it a blocker because we'd like to not have to maintain Qt3 forever.  It will probably not be fixed for Mageia 8 though.  We can change the target milestone once 9 is added as an option in Bugzilla.
Comment 13 Thomas Backlund 2021-01-22 21:56:38 CET
Yeah, I seriously doubt anyone want/can/will be able to go through all the docs and ensure we have all bits and what cant be dropped as we are now are in RC stage...

Lets try to get it done for mga9

Target Milestone: Mageia 8 => Mageia 9
Priority: release_blocker => High


Note You need to log in before you can comment on or make changes to this bug.